%define anolis_release 1
%bcond_with tests


Name:           python-requests
Version:        2.32.4
Release:        %{anolis_release}%{dist}
Summary:        HTTP library, written in Python, for human beings

License:        ASL 2.0
URL:            https://pypi.io/project/requests
Source0:        https://github.com/psf/requests/releases/download/v%{version}/requests-%{version}.tar.gz

BuildArch:      noarch

%description
Most existing Python modules for sending HTTP requests are extremely verbose and
cumbersome. Python’s built-in urllib2 module provides most of the HTTP
capabilities you should need, but the API is thoroughly broken. This library is
designed to make HTTP requests easy for developers.

%package -n python%{python3_pkgversion}-requests
Summary: HTTP library, written in Python, for human beings

%{?python_provide:%python_provide python%{python3_pkgversion}-requests}

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-httpbin)
BuildRequires:  python3dist(pytest-mock)
BuildRequires:  python3dist(trustme)
%endif


%description -n python%{python3_pkgversion}-requests
Most existing Python modules for sending HTTP requests are extremely verbose and
cumbersome. Python’s built-in urllib2 module provides most of the HTTP
capabilities you should need, but the API is thoroughly broken. This library is
designed to make HTTP requests easy for developers.

%pyproject_extras_subpkg -n python%{python3_pkgversion}-requests security socks

%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -r
%else
%pyproject_buildrequires
%endif

%package doc
Summary:        Documentation files for %{name}
Requires:       python%{python3_pkgversion}-requests = %{version}-%{release}
BuildArch:      noarch

%description    doc
The python%{python3_pkgversion}-requests-doc package contains documentation files for python%{python3_pkgversion}-requests.

%prep
%autosetup -p1 -n requests-%{version}

# Some doctests use the internet and fail to pass in Koji. Since doctests don't have names, I don't
# know a way to skip them. We also don't want to patch them out, because patching them out will
# change the docs. Thus, we set pytest not to run doctests at all.
sed -i 's/ --doctest-modules//' pyproject.toml

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files requests


%if %{with tests}
%check
%pytest -v -k "not (test_connect_timeout or test_total_timeout_connect)"
%endif


%files -n python%{python3_pkgversion}-requests -f %{pyproject_files}
%license LICENSE

%files doc
%doc README.md HISTORY.md

%changelog
* Fri Jul 04 2025 wenxin <wx02272781@alibaba-inc.com> - 2.32.4-1
- update to 2.32.4 to fix CVE-2024-47081

* Wed Apr 23 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.32.3-1
- updat eto 2.32.3

* Wed Oct 30 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.32.0-1
- update to 2.32.0

* Thu Jul 11 2024 yangxinyu <yangxinyu@nfschina.com> - 2.31.0-3
- fix-cve-2024-35195

* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.31.0-2
- Rebuild with python3.11

* Thu Jun 08 2023 Funda Wang <fundawang@yeah.net> - 2.31.0-1
- New version 2.31.0

* Tue Apr 04 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.28.2-2
- disable test

* Wed Feb 22 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.28.2-1
- update to version 2.28.2

* Fri Sep 23 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.28.1-1
- update to 2.28.1

* Wed Apr 20 2022 Zhongling He <zhonglingh@linux.alibaba.com> 2.27.1-1
- Init package from upstream v2.27.1
